<div class="row p-4">
  <div class="col-12">
    <h1>{{ title }}</h1>
  </div>
</div>
<div class="row p-4">
  <div class="col-9">
    <div *ngIf="errors" class="alert alert-danger alert-dismissible fade show" role="alert">
      <div *ngFor="let item of errors | keyvalue">
        <strong>{{ item.key }}</strong>: {{ item.value }}<br />
      </div>
      <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>

    <table class="table table-bordered">
      <thead>
        <tr>
          <th scope="col">Vat number</th>
          <th scope="col">Customer</th>
          <th scope="col">Total</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let res of totals">
          <td>{{ res.vat }}</td>
          <td>{{ res.customer }}</td>
          <td>{{ res.total }} {{ res.currency }}</td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-3">
    <form [formGroup]="dataForm" (ngSubmit)="onSubmit()" ngNativeValidate>
      <div class="form-group mb-3">
        <input type="file" class="form-control" id="file" name="file" formControlName="file"
          (change)="handleFileInput($any($event).target.files)" required>
      </div>

      <div class="form-group mb-3">
        <fieldset class="border p-2">
          <div formArrayName="currencies">
            <legend class="w-auto">
              <h5>Currency exchange rates</h5>
            </legend>
            <div *ngFor="let currency of currencies.controls; let i=index">
              <div class="row mb-2" [formGroupName]="i">
                <div class="form-group col-5">
                  <input type="text" class="form-control" placeholder="currency" formControlName="name"
                    placeholder="EUR" required minlength="3" maxlength="3">
                </div>
                <div class="form-group col-5">
                  <input type="text" class="form-control" placeholder="ex. rate" formControlName="rate" placeholder="1"
                    required pattern="(\d+(?:\.\d+)?)">
                </div>
                <div class="form-group col-2 p-0">
                  <button type="button" class="btn btn-danger" [class.disabled]="i == 0" (click)="removeCurrency(i)">
                    <i class="fas fa-trash-alt"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>
          <button type="button" class="btn btn-success w-100" (click)="addCurrency()">Add currency exchange
            rate</button>
        </fieldset>
      </div>

      <div class="form-group row mb-3">
        <label for="currency" class="col-6 col-form-label">Output currency:</label>
        <div class="col-6">
          <input type="text" class="form-control" id="currency" name="currency" placeholder="EUR"
            formControlName="currency" required minlength="3" maxlength="3" />
        </div>
      </div>

      <div class="form-group row mb-3">
        <label for="vat" class="col-4 col-form-label">Filter by:</label>
        <div class="col-8">
          <input type="text" class="form-control" id="vat" name="vat" placeholder="Vat number" formControlName="vat">
        </div>
      </div>

      <button type="submit" class="btn btn-primary w-100">Submit</button>

    </form>
  </div>
</div>